### Navigation

- next
- previous |
- pip 7.1.2 documentation »
- Reference Guide »

# pip uninstall

Contents

- pip uninstall
  - Usage
  - Description
  - Options
  - Examples

## Usage

    pip uninstall [options] <package> ...
    pip uninstall [options] -r <requirements file> ...

## Description

Uninstall packages.

pip is able to uninstall most installed packages. Known exceptions are:

- Pure distutils packages installed with `python setup.py install`, which leave behind no metadata to determine what files were installed.
- Script wrappers installed by `python setup.py develop`.

## Options

`-r````,` `--requirement``<file>`

  Uninstall all the packages listed in the given requirements file. This option can be used multiple times.

`-y````,` `--yes```

  Don't ask for confirmation of uninstall deletions.

## Examples

1. Uninstall a package.

>     $ pip uninstall simplejson
>     Uninstalling simplejson:
>       /home/me/env/lib/python2.7/site-packages/simplejson
>       /home/me/env/lib/python2.7/site-packages/simplejson-2.2.1-py2.7.egg-info
>     Proceed (y/n)? y
>       Successfully uninstalled simplejson

### Navigation

- next
- previous |
- pip 7.1.2 documentation »
- Reference Guide »